1.5 TO 1.5.1 UPGRADE

Changes

If you are currently using Daisy 1.5.0, there is little reason to upgrade to this release. No changes have be done except for those listed below.

  • Added characterEncoding=UTF-8 parameter to the MySQL JDBC URL, which is needed for correct UTF-8 support when UTF-8 is not the default character set of the MySQL server.
  • Fixed a "NullPointerException" that occured when using a field with a static selection list with labels for the list items, but not for the language of the active user.
  • Fixed the remaining issues that prevented installing Daisy in a directory containing spaces (such as c:\Program Files)
  • Windows installer (initial release). The Windows installer can install required dependencies (Java, MySQL, JAI), installs the Daisy files, configures Daisy (repository & wiki), can install Windows services for Daisy, and can uninstall everything. For this initial release, it doesn't support upgrading, though we'd like to cover that in the future too. (the Windows installer was contributed by Andreas Deininger)

Upgrading

To upgrade from releases earlier then 1.5.0, follow the same instructions as for upgrading to 1.5.0 (e.g. upgrade from 1.4 to 1.5).

Nothing special needs to be done to upgrade from Daisy 1.5.0 to this release.

Just stop the repository and wiki servers, extract the new release, adjust DAISY_HOME or move the old Daisy install out of the way, and restart the servers.